import irc.bot

class HelloBot(irc.bot.SingleServerIRCBot):
    def __init__(self, channel, nickname, server, port):
        irc.bot.SingleServerIRCBot.__init__(self, [(server, port)], nickname, nickname)
        self.channel = channel

    def on_welcome(self, connection, event):
        connection.join(self.channel)

    def on_privmsg(self, connection, event):
        pass

    def on_pubmsg(self, connection, event):
        # event.target, event.source, event.arguments, event.type
        # print(event) 
        # type: pubmsg, source: Guest92843793284!~Guest9284@2a10:3781:1734:1:fdd8:ab9a:d925:9106, target: #xpub, arguments: ['...'], tags: []
        messages = event.arguments # list of messages
        for message in messages:
            if "hello" in message:
                connection.privmsg(self.channel, "HELLO!!!")

server = "irc.libera.chat"
port = 6667
channel = "#botswarm"
nickname = "hellosoupbot"

bot = HelloBot(channel, nickname, server, port)
bot.start()